CVE-2019-11707

Published: 19 June 2019

A type confusion vulnerability can occur when manipulating JavaScript objects due to issues in Array.pop. This can allow for an exploitable crash. We are aware of targeted attacks in the wild abusing this flaw. This vulnerability affects Firefox ESR < 60.7.1, Firefox < 67.0.3, and Thunderbird < 60.7.2.

Priority

High

CVSS 3 base score: 8.8

Status

Package Release Status
firefox
Launchpad, Ubuntu, Debian
Upstream
Released (67.0.3)
Ubuntu 21.04 (Hirsute Hippo)
Released (67.0.3+build1-0ubuntu1)
Ubuntu 20.10 (Groovy Gorilla)
Released (67.0.3+build1-0ubuntu1)
Ubuntu 20.04 LTS (Focal Fossa)
Released (67.0.3+build1-0ubuntu1)
Ubuntu 18.04 LTS (Bionic Beaver)
Released (67.0.3+build1-0ubuntu0.18.04.1)
Ubuntu 16.04 ESM (Xenial Xerus)
Released (67.0.3+build1-0ubuntu0.16.04.1)
Ubuntu 14.04 ESM (Trusty Tahr) Does not exist

mozjs38
Launchpad, Ubuntu, Debian
Upstream Not vulnerable

Ubuntu 21.04 (Hirsute Hippo) Does not exist

Ubuntu 20.10 (Groovy Gorilla) Does not exist

Ubuntu 20.04 LTS (Focal Fossa) Does not exist

Ubuntu 18.04 LTS (Bionic Beaver) Not vulnerable
(PoC does not cause crash)
Ubuntu 16.04 ESM (Xenial Xerus) Does not exist

Ubuntu 14.04 ESM (Trusty Tahr) Does not exist

mozjs52
Launchpad, Ubuntu, Debian
Upstream Needed

Ubuntu 21.04 (Hirsute Hippo) Does not exist

Ubuntu 20.10 (Groovy Gorilla) Needed

Ubuntu 20.04 LTS (Focal Fossa) Needed

Ubuntu 18.04 LTS (Bionic Beaver) Needed

Ubuntu 16.04 ESM (Xenial Xerus) Does not exist

Ubuntu 14.04 ESM (Trusty Tahr) Does not exist

mozjs60
Launchpad, Ubuntu, Debian
Upstream Needed

Ubuntu 21.04 (Hirsute Hippo) Does not exist

Ubuntu 20.10 (Groovy Gorilla) Does not exist

Ubuntu 20.04 LTS (Focal Fossa) Does not exist

Ubuntu 18.04 LTS (Bionic Beaver) Does not exist

Ubuntu 16.04 ESM (Xenial Xerus) Does not exist

Ubuntu 14.04 ESM (Trusty Tahr) Does not exist

thunderbird
Launchpad, Ubuntu, Debian
Upstream
Released (60.7.2)
Ubuntu 21.04 (Hirsute Hippo)
Released (1:60.7.2+build1-0ubuntu1)
Ubuntu 20.10 (Groovy Gorilla)
Released (1:60.7.2+build1-0ubuntu1)
Ubuntu 20.04 LTS (Focal Fossa)
Released (1:60.7.2+build1-0ubuntu1)
Ubuntu 18.04 LTS (Bionic Beaver)
Released (1:60.7.2+build1-0ubuntu0.18.04.1)
Ubuntu 16.04 ESM (Xenial Xerus)
Released (1:60.7.2+build1-0ubuntu0.16.04.1)
Ubuntu 14.04 ESM (Trusty Tahr) Does not exist

Notes

AuthorNote
tyhicks
mozjs contains a copy of the SpiderMonkey JavaScript engine
msalvatore
PoC does not cause a crash in mozjs38. The code has also significantly
diverged.

References